Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SIMULIA/ABAQUS
  Solid - Create Cut: Extrude - Skizze manipulieren

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Solid - Create Cut: Extrude - Skizze manipulieren (304 mal gelesen)
  
Die Gewinne der Zukunft werden mit intelligenten, autonomen Elektrofahrzeugen eingefahren. (3DEXPERIENCE)
aup
Mitglied



Sehen Sie sich das Profil von aup an!   Senden Sie eine Private Message an aup  Schreiben Sie einen Gästebucheintrag für aup

Beiträge: 78
Registriert: 16.08.2007

erstellt am: 13. Dez. 2018 15:26    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,

ich habe mal wieder ein kleines Problemchen.
Ich will mit 'Create Cute: Extrude' ein Solid verschneiden.
Einen Sketch habe ich bereits und will diesen aber noch manipulieren.
Dies wil ich mehrfach tun!

Ansatz: ich dachte, ich kann das mit einer Schleife tun...
Schleifeninhalt

Code:

p = mdb.models[Modell].parts[Bauteil]
d = p.datums
t = p.MakeSketchTransform(sketchPlane=d[2], sketchUpEdge=d[3], sketchPlaneSide=SIDE1, sketchOrientation=BOTTOM, origin=(0.0, 0.0, 0.0))
s = mdb.models[Modell].ConstrainedSketch(name='__profile__', sheetSize=100., gridSpacing=2.5, transform=t)
g, v, d1, c = s.geometry, s.vertices, s.dimensions, s.constraints
s.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models[Modell].parts[Bauteil]
p.projectReferencesOntoSketch(sketch=s, filter=COPLANAR_EDGES)
s.retrieveSketch(sketch=mdb.models[Modell].sketches[Skizze])
session.viewports[Viewport].view.fitView()
# Drehen
s.rotate(centerPoint=(0.0, 0.0), angle=-alpha_LV, objectList=(g.keys()))

Aber meine Skizze schneidet zwar mehrfach das Solid, aber immer an der selben Stelle.
Es werden mit g.keys() vielleicht nicht alle Geometrie-Elemente ausgewählt.
Ich will es allgemeingültig halten und immer auf alle Geometrie-Elemente der Skizze zugreifen.

So wieder was für den Feierabend... falls jmd. von euch eine Idee hat, immer gern! ;-)
 
aup

------------------
Unser Wissen ist ein Tropfen, was wir nicht wissen, ist ein Ozean.
Isaac Newton (1643-1727)

[Diese Nachricht wurde von aup am 14. Dez. 2018 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

aup
Mitglied



Sehen Sie sich das Profil von aup an!   Senden Sie eine Private Message an aup  Schreiben Sie einen Gästebucheintrag für aup

Beiträge: 78
Registriert: 16.08.2007

erstellt am: 14. Dez. 2018 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Gelöst!

Habe eine zusätzliche Schleife innerhalb der Schleife eingebaut.

Code:

GeomElem = []
for key in g.keys():
    GeomElem.append(g[key])
# Drehen
s.rotate(centerPoint=(0.0, 0.0), angle=-alpha_LV, objectList=(GeomElem))

Dem Internet Gott sei Dank!

ciao, aup

------------------
Unser Wissen ist ein Tropfen, was wir nicht wissen, ist ein Ozean.
Isaac Newton (1643-1727)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz